--- !ruby/object:RI::ClassDescription 
attributes: []

class_methods: []

comment: 
constants: []

full_name: DataMapper::Migrations::Repository
includes: []

instance_methods: 
- !ruby/object:RI::MethodSummary 
  name: auto_migrate!
- !ruby/object:RI::MethodSummary 
  name: auto_upgrade!
- !ruby/object:RI::MethodSummary 
  name: create_model_storage
- !ruby/object:RI::MethodSummary 
  name: destroy_model_storage
- !ruby/object:RI::MethodSummary 
  name: storage_exists?
- !ruby/object:RI::MethodSummary 
  name: upgrade_model_storage
name: Repository
superclass: 
